Complete micro-deposits
Complete the micro-deposit validation process by passing the amounts of the two transfers within three tries.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/bank-accounts.write scope.
PUT
/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits
curl -X PUT "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
--data-raw '{
"amounts": [
18,
21
]
}'\
mc, _ := moov.NewClient()
var accountID string
var bankAccountID string
amounts := []int{18, 21}
mc.MicroDepositConfirm(ctx, accountID, bankAccountID, amounts)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.bankAccounts.completeMicroDeposits({
accountID: "af0efd2b-a1fa-40fd-998b-2007b8df0766",
bankAccountID: "b468e916-699b-4590-becf-ede76d1413cb",
completeMicroDeposits: {
amounts: [
18,
21,
],
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$completeMicroDeposits = new Components\CompleteMicroDeposits(
amounts: [
18,
21,
],
);
$response = $sdk->bankAccounts->completeMicroDeposits(
accountID: 'af0efd2b-a1fa-40fd-998b-2007b8df0766',
bankAccountID: 'b468e916-699b-4590-becf-ede76d1413cb',
completeMicroDeposits: $completeMicroDeposits
);
if ($response->completedMicroDeposits !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.bank_accounts.complete_micro_deposits(account_id="af0efd2b-a1fa-40fd-998b-2007b8df0766", bank_account_id="b468e916-699b-4590-becf-ede76d1413cb", amounts=[
18,
21,
])
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import java.util.List;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.CompleteMicroDeposits;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.errors.MicroDepositValidationError;
import org.openapis.openapi.models.operations.CompleteMicroDepositsResponse;
public class Application {
public static void main(String[] args) throws GenericError, MicroDepositValidationError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
CompleteMicroDepositsResponse res = sdk.bankAccounts().completeMicroDeposits()
.accountID("af0efd2b-a1fa-40fd-998b-2007b8df0766")
.bankAccountID("b468e916-699b-4590-becf-ede76d1413cb")
.completeMicroDeposits(CompleteMicroDeposits.builder()
.amounts(List.of(
18L,
21L))
.build())
.call();
if (res.completedMicroDeposits().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.bank_accounts.complete_micro_deposits(account_id: 'af0efd2b-a1fa-40fd-998b-2007b8df0766', bank_account_id: 'b468e916-699b-4590-becf-ede76d1413cb', complete_micro_deposits: Models::Components::CompleteMicroDeposits.new(
amounts: [
18,
21,
],
))
unless res.completed_micro_deposits.nil?
# handle response
endThe request completed successfully.
{
"status": "verified"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"amounts": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
bankAccountID
string
required
Body
application/json
amounts
array<integer>
required
Two positive integers, in cents, equal to the values of the micro-deposits sent to the bank account.
Response
status
string<enum>
required
Possible values:
verified